Bug 14180 - Make "Always show checkouts immediately" a global setting
Summary: Make "Always show checkouts immediately" a global setting
Status: REOPENED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-11 12:32 UTC by Katrin Fischer
Modified: 2020-07-13 16:34 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-05-11 12:32:06 UTC
Right now the checkbox is unchecked by default and your setting will be kept during the session. 

Several libraries have asked to check the checkbox permanently, as it's annoying to redo the checkbox every morning or even several times during the day. 

One of the librarians reporting this is relying on a screen reader and braille line - which makes the task of rechecking the checkbox in order to be able to read the checkouts even more tedious.
Comment 1 Owen Leonard 2015-05-11 12:56:26 UTC
(In reply to Katrin Fischer from comment #0)

> Several libraries have asked to check the checkbox permanently, as it's
> annoying to redo the checkbox every morning or even several times during the
> day. 

I thought Bug 13196 fixed this?
Comment 2 Katrin Fischer 2015-05-11 13:01:30 UTC
Hi Owen, thx for the comment! I have left a comment on the other bug - it's not in 3.18.x and marking ths see also for now to see if it fixes the problem for the library.
Comment 3 Katrin Fischer 2015-05-13 08:50:31 UTC
I realized that the patch Owen pointed to is already in 3.18, but this is still a problem to the library - maybe because of restrictive cookie settings? In general it would be nice if there was an option to just always load and get rid of the checkbox for some libraires.
Comment 4 Agnes Rivers-Moore 2015-08-19 18:07:39 UTC
I would like a global preference to turn "always show checkouts" on or off.
It is not something we would want to select daily or per session or per staff person.

There is also an extra row below "specify due date" in checkout that reports the barcode that was last checked out.
If "always show" is turned on - this is no longer needed, as the information is displayed twice.

I would wish to have that associated with the "Always show" function so that it only appears if "always show" is turned off.
It uses up screen space we would rather use to see the last several items we checked out - and there is already room for only one or two rows to show unless the screen resolution is dialed up.
Comment 5 vimal kumar 2016-02-05 04:42:58 UTC
"Always show checkouts immediately" is an annoying feature for library professionals in circulation desk. This feature is against the "Five Laws of Library Science" Save the Time of the reader!!
Comment 6 Owen Leonard 2016-02-05 13:16:27 UTC
Which reader do you want to save time for? The reader who wants to see the list of checkouts  right away or the reader who wants to have the page load quickly when there are hundreds of checkouts? The point of this bug is to make a new preference so you can have it either leave things the way they are now or return them to the way things were before the changes made by Bug 12550. A preference is the only way to give options to the various needs different librarians have expressed.
Comment 7 vimal kumar 2016-02-05 16:34:59 UTC
(In reply to Owen Leonard from comment #6)
> Which reader do you want to save time for? The reader who wants to see the
> list of checkouts  right away or the reader who wants to have the page load
> quickly when there are hundreds of checkouts? The point of this bug is to
> make a new preference so you can have it either leave things the way they
> are now or return them to the way things were before the changes made by Bug
> 12550. A preference is the only way to give options to the various needs
> different librarians have expressed.

After check out, library professionals have the tendency to check the list of books checked out. If the list hide , they have to click on the checkbox of ("Always show checkouts immediately").

when the library professional open Check out of a particular user, he has to click on "Always show checkouts immediately" option. this process is time consuming when good number of reader in que to check out the books.
Comment 8 Owen Leonard 2016-02-05 16:46:17 UTC
(In reply to vimal kumar from comment #7)

> when the library professional open Check out of a particular user, he has to
> click on "Always show checkouts immediately" option. this process is time
> consuming

It sounds to me like this bug is exactly what you want: A way to make it so that "Always show checkouts immediately" is globally enabled without a checkbox.
Comment 9 Galen Charlton 2016-06-13 13:55:58 UTC
(In reply to Agnes Rivers-Moore from comment #4)
> I would wish to have that associated with the "Always show" function so that
> it only appears if "always show" is turned off.
> It uses up screen space we would rather use to see the last several items we
> checked out - and there is already room for only one or two rows to show
> unless the screen resolution is dialed up.

A patch implementing this can be found at http://git.esilibrary.com/?p=koha-equinox.git;a=commitdiff;h=6d63573393b911444db599b1b2e2d5c680ee5a15. Perhaps this should be spun off into a separate bug?
Comment 10 Séverine Queune 2017-11-06 17:42:39 UTC
We added this code on 'IntranetUserJS' syspref and it works perfectly for us :)
(Found on Biblibre's documentation)


$(document).ready(function() {
 
if ( typeof script !== 'undefined' && ! $.cookie("issues-table-load-immediately-" + script) ) {
    $.cookie("issues-table-load-immediately-" + script, true, { expires: 365 });
}
 
});
Comment 11 Katrin Fischer 2020-01-07 21:34:26 UTC
(In reply to Séverine Queune from comment #10)
> We added this code on 'IntranetUserJS' syspref and it works perfectly for us
> :)
> (Found on Biblibre's documentation)
> 
> 
> $(document).ready(function() {
>  
> if ( typeof script !== 'undefined' && !
> $.cookie("issues-table-load-immediately-" + script) ) {
>     $.cookie("issues-table-load-immediately-" + script, true, { expires: 365
> });
> }
>  
> });

Using Severine's workaround - marking WONTFIX.
Comment 12 Kelly McElligott 2020-02-04 13:23:08 UTC
I want to open this back up, please. I believe that this is worth talking about again.  A system preference would be optimal to allow libraries to turn on/off.